DVCSResponse (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.dvcs

## Class DVCSResponse

- java.lang.Object
- - org.bouncycastle.dvcs.DVCSMessage
  - - org.bouncycastle.dvcs.DVCSResponse

-     public class DVCSResponse
      extends DVCSMessage

  DVCResponse is general response to DVCS (RFC 3029). It represents responses for all types of services.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DVCSResponse(CMSSignedData signedData)` Constructs DVCRequest from CMS SignedData object.
    `DVCSResponse(org.bouncycastle.asn1.cms.ContentInfo contentInfo)` Construct a DVCS Request from a ContentInfo

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.ASN1Encodable` | `getContent()` Return the ASN.1 DVCSResponse structure making up the body of this response.

    - ### Methods inherited from class org.bouncycastle.dvcs.DVCSMessage

      `getContentType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DVCSResponse

          public DVCSResponse(CMSSignedData signedData)
                       throws DVCSConstructionException

      Constructs DVCRequest from CMS SignedData object.
      Parameters:
        `signedData` - the CMS SignedData object containing the request
      Throws:
        `DVCSConstructionException`

    - #### DVCSResponse

          public DVCSResponse(org.bouncycastle.asn1.cms.ContentInfo contentInfo)
                       throws DVCSConstructionException

      Construct a DVCS Request from a ContentInfo
      Parameters:
        `contentInfo` - the contentInfo representing the DVCSRequest
      Throws:
        `DVCSConstructionException`

  - ### Method Detail

    - #### getContent

          public org.bouncycastle.asn1.ASN1Encodable getContent()

      Return the ASN.1 DVCSResponse structure making up the body of this response.
      Specified by:
        `getContent` in class `DVCSMessage`
      Returns:
        an org.bouncycastle.asn1.dvcs.DVCSResponse object.